Mudlet-2.0 release candidates [latest: Mudlet 2.0 final]

User avatar
Vadi
Posts: 4844
Joined: Sat Mar 14, 2009 3:13 pm

Re: Mudlet-2.0 release candidates [latest: Mudlet-2.0-rc5]

Post by Vadi »

This was fixed in rc4. Or, adjusted again, because we don't have a mac to use

User avatar
Heiko
Site Admin
Posts: 1548
Joined: Wed Mar 11, 2009 6:26 pm

Re: Mudlet-2.0 release candidates [latest: Mudlet-2.0-rc5]

Post by Heiko »

I was told that this is not a general OSX problem, but it only affects some OSX screen sizes. In any case, I've made an attempt to fix it and it should work now. You can download the Qt SDK for OSX from qt.nokia.com and compile Mudlet-2.0-rc5 yourself. This is not difficult as you are not trying to build a universally useable self-contained Mudlet app.

Caled
Posts: 403
Joined: Thu Apr 09, 2009 4:45 am

Re: Mudlet-2.0 release candidates [latest: Mudlet-2.0-rc5]

Post by Caled »

Thanks!

I've had that qt-sdk package installed for quite a while now (along with some other required stuff, I think it was xcode, that I had to sign up as an apple developer for) but haven't managed to work out how to get qmake happening (I think I have to use qmake because there is no makefile. 'Make' and 'cmake .' both return messages about not existing). Or perhaps I need to make some tweaks to my paths like I had to in windows.

Why can't everything be as simple as Linux? And why is Linux simpler anyway... psh. I miss Ubuntu.

At any rate, at some point in the next couple of days I'll have another good go at it and jump on irc if I can't work it out. Thanks again for helping with this bug.

kakku
Posts: 42
Joined: Tue Feb 22, 2011 12:03 pm

Re: Mudlet-2.0 release candidates [latest: Mudlet-2.0-rc5]

Post by kakku »

Heiko wrote: You can download the Qt SDK for OSX from qt.nokia.com and compile Mudlet-2.0-rc5 yourself. This is not difficult as you are not trying to build a universally useable self-contained Mudlet app.
not difficult is very relative.. i'm completely at a loss of how to do this.
can someone please explain?

User avatar
Heiko
Site Admin
Posts: 1548
Joined: Wed Mar 11, 2009 6:26 pm

Re: Mudlet-2.0 release candidates [latest: Mudlet-2.0-rc5]

Post by Heiko »

1. Download the source code and unpack it. http://mudlet.git.sourceforge.net/git/g ... EAD;sf=tgz
2. start QtCreator (comes with the SDK) and click on open project.
3. chose the file mudletsourcecodefolder/mudlet/src/src.pro
4. compile ( green > button on the left )
5. check the error messages and install the missing dependencies until it compiles fine (you can get help on irc usually)

User avatar
demonnic
Posts: 669
Joined: Sat Dec 05, 2009 3:19 pm

Re: Mudlet-2.0 release candidates [latest: Mudlet-2.0-rc5]

Post by demonnic »

This thread is primarily for Ubuntu, but the list of dependencies may still be helpful: http://forums.mudlet.org/viewtopic.php?f=8&t=1750

Jain
Posts: 1
Joined: Tue May 10, 2011 4:32 am

Re: Mudlet-2.0 release candidates [latest: Mudlet-2.0-rc5]

Post by Jain »

I'm not entirely sure this is the correct place to post this, but I found a slight error in the rc6 snapshot, for linux. In the glwidget.h file, there's a misslash on the forth line. I fixed it, then it compiled fine. Note that I was compiling from source. Also, add in hunspell to the list of dependencies.

User avatar
Vadi
Posts: 4844
Joined: Sat Mar 14, 2009 3:13 pm

Re: Mudlet-2.0 release candidates [latest: Mudlet-2.0-rc5]

Post by Vadi »

We're having some kind of a git issue, because the misslash problem was already commited several times. But yes, need to add hunspell.

Yetzederixx
Posts: 186
Joined: Sun Nov 14, 2010 5:57 am

Re: Mudlet-2.0 release candidates [latest: Mudlet-2.0-rc5+]

Post by Yetzederixx »

I installed RC6 after a hiatus and got a your computers doesn't have MSVCR100.dll error, re-installed RC5 MXP enabled and it's fine.

redt
Posts: 36
Joined: Mon Jul 12, 2010 7:19 pm

Re: Mudlet-2.0 release candidates [latest: Mudlet-2.0-rc5+]

Post by redt »

In Lucid my PPA shows only rc1, telling me that this is the latest version.

I probably need to remove Mudlet first in order for rc5 to become available for installation, but want to confirm here first.

Thanks

Post Reply